#if !defined(AFX_ADVSERVERDLG_H__F3E2BE79_2C8E_420D_BA3B_0ADC1F7F5C75__INCLUDED_)
#define AFX_ADVSERVERDLG_H__F3E2BE79_2C8E_420D_BA3B_0ADC1F7F5C75__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AdvServerDlg.h : Header-Datei
//
#include "PropDlg.h"
#include "Title.h"
#include "cpu_info.h"

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CAdvServerDlg 

class CAdvServerDlg : public CPropDlg
{
// Konstruktion
public:
	CAdvServerDlg(CWnd* pParent = NULL);   // Standardkonstruktor

	void Load();
	void Save();

// Dialogfelddaten
	//{{AFX_DATA(CAdvServerDlg)
	enum { IDD = IDD_ADV_SERVER };
	CButton	m_ClearCtrl;
	CListBox	m_Rooms;
	CTitle	m_Titel;
	UINT	m_MaxVersion;
	UINT	m_MinVersion;
	CString	m_RoomName;
	BOOL	m_Logfile;
	BOOL	m_Clear;
	BOOL	m_Keysearch;
	UINT	m_HardLimit;
	UINT	m_SoftLimit;
	UINT	m_LowIdPercent;
	BOOL	m_bZlib;
	BOOL	m_bLowIds;
	CString	m_strTableSize;
	CString	m_strThreads;
	UINT	m_CompLevel;
	UINT	m_MinEMule;
	CString	m_strCPU;
	BOOL	m_ZlibOnly;
	int		m_rdL1Cache;
	//}}AFX_DATA

	CPUInfo	m_CpuInfo;
	bool	m_bIsPentium;
	bool	m_bIsPIV;
	int		m_dcache_line;
	int		m_L1_cache_size;

// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CAdvServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CAdvServerDlg)
	afx_msg void OnPrimnumber();
	afx_msg void OnAdd();
	afx_msg void OnDel();
	afx_msg void OnLogfile();
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusEdComp();
	afx_msg void OnKillfocusEdHard();
	afx_msg void OnKillfocusEdSoft();
	afx_msg void OnKillfocusMaxversion();
	afx_msg void OnKillfocusMinversion();
	afx_msg void OnKillfocusMinemule();
	afx_msg void OnRdL2PIII();
	afx_msg void OnChkZlib();
	afx_msg void OnRdL1Cache();
	afx_msg void OnBtnUpdlowid();
	afx_msg void OnBtnUpdLimits();
	afx_msg void OnBtnUpdZlib();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_ADVSERVERDLG_H__F3E2BE79_2C8E_420D_BA3B_0ADC1F7F5C75__INCLUDED_
