// Donkey.cpp : Legt das Klassenverhalten fr die Anwendung fest.
//

#include "stdafx.h"
#include "Donkey.h"
#include "DonkeyDlg.h"
#include "sinstance.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDonkeyApp

BEGIN_MESSAGE_MAP(CDonkeyApp, CWinApp)
	//{{AFX_MSG_MAP(CDonkeyApp)
	//}}AFX_MSG
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDonkeyApp Konstruktion

CDonkeyApp::CDonkeyApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// Das einzige CDonkeyApp-Objekt

CDonkeyApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CDonkeyApp Initialisierung

BOOL CDonkeyApp::InitInstance()
{
	// Standardinitialisierung

#ifdef _AFXDLL
	Enable3dControls();			// Diese Funktion bei Verwendung von MFC in gemeinsam genutzten DLLs aufrufen
#else
	Enable3dControlsStatic();	// Diese Funktion bei statischen MFC-Anbindungen aufrufen
#endif

	// check if there is already an instance running
	CInstanceChecker instanceChecker;

	if (instanceChecker.PreviousInstanceRunning())
	{
		AfxMessageBox(_T("DonkeyControl is running already"),
			MB_OK);

		m_pMainWnd = NULL;
		return FALSE;
	}

	m_ServerExe = "eserver-16.41.i686-win32.exe";
	CFileFind finder;
	if (finder.FindFile(m_ServerExe))
	{
		// Sprachen-DLL laden
		Lang.Init();
		
		// Dialog anzeigen
		CDonkeyDlg dlg;
		m_pMainWnd = &dlg;
		int nResponse = dlg.DoModal();
		if (nResponse == IDOK)
		{
		}
		else if (nResponse == IDCANCEL)
		{
		}
	}
	else AfxMessageBox("'eserver-16.41.i686-win32.exe'\nmust be in the same directory!\nDonkey Controll will exit now",
		MB_OK | MB_ICONEXCLAMATION);

	// Da das Dialogfeld geschlossen wurde, FALSE zurckliefern, so dass wir die
	//  Anwendung verlassen, anstatt das Nachrichtensystem der Anwendung zu starten.
	return FALSE;
}
