// Primnumber.cpp: Implementierung der Klasse CPrimnumber.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include <math.h>
#include "Primnumber.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CPrimnumber::CPrimnumber()
{

}

CPrimnumber::~CPrimnumber()
{

}

static int  ceiling_of_sqrt(double x)    { return (int)(ceil(sqrt(x))); }

int CPrimnumber::GetPrevPrimnumber(int number)
{
	if (number <= 3) return number;

	CByteArray sieve;
	sieve.SetSize(number);

	int         i, j;
    int         last;
    
    sieve[0] = sieve[1] = sieve[2] = 1;
    
	last = ceiling_of_sqrt((double)number);
    for (i=3;  i<last;  i++, i++)
        if (!sieve[i])
        {
            /*
            ** Remove all numbers dividable by this prime number
            ** from the pool of "likely" prime numbers.
            ** Only remove every other number since the 2nd, 4th, 6th
            ** and so on is even anyway.
            */
            for (j=i; j<number; j+=i,j+=i)  sieve[j]=1;
        }

    /*
    ** Print all numbers that hasn't been eliminated, i.e. all
    ** prime numbers above the square root of N up to N.
    */

	last = 1;
	for (; i<number; i++,i++)  if(!sieve[i])  last = i;

	return last;
}
