#include "stdafx.h"
#include "Serverlist.h"
#include "TokenEx.h"
// #include "czip.h"

CServerlist::CServerlist()
{ 

}

char* CServerlist::GetURL()
{ 
	return "http://62.2.175.53:90/pl/serverlist/serverlist.pl?sort=nr";	
}

bool CServerlist::OpenServerlistFile(char* strPath)
{
	CString targetPath = strPath; 

/*	// Extract file from .gz
	try 
	{
		CUnzip oUnzip(strPath);
		oUnzip.SwapSize(targetPath + ".tmp");
	} 
	catch (CZipException* e) 
	{
		MessageBox(NULL,e->GetString(),NULL,MB_OK);		
	}

	*/
	CStdioFile file;

	// Runtergeladene Datei ffnen
	if (!file.Open(targetPath,CFile::modeRead)) return false;
	
	CString		 line;
	CString		 inhalt;
	CTokenEx	 token;
	CStringArray array;
	
	// Datei einlesen
	inhalt = "";
	file.Read((void*)inhalt.GetBufferSetLength(file.GetLength()), file.GetLength());

//	inhalt.Remove('\0');	

	MessageBox(NULL,inhalt,NULL,MB_OK);
	
	// einzelne Zeilen extrahieren
	int start, ende;
	int count = 0;

	ServerArray.RemoveAll();
		
	start = inhalt.Find("add(");
	while (start != -1)
	{
		inhalt.Delete(0,start);		
		ende = inhalt.Find(")");

		line = inhalt.Left(ende);
		
		// line parsen
		line.Delete(0,4);		// "add(" entfernen
		line.Remove('\'');
		array.RemoveAll();
		token.Split(line,",",array);

		// Eintrag vollstndig?
		if (array.GetSize() >= 4)
		{
			ServerArray.Add(array[0] + "|" + array[1] + "|" + array[2] + "|" + array[3]);
		}

		// nchste Zeile
		start = inhalt.Find("add('", ende);
	}
	
	file.Close();

	ArrayPos = 0;

	return true;
}

bool CServerlist::GetNextEntry(CString& strIP, CString& strPort, CString& strName, CString& strDescription)
{
	// keine weiteren Eintrge
	if (ArrayPos > ServerArray.GetUpperBound()) return false;

	CStringArray array;
	CTokenEx	 token;

	token.Split(ServerArray[ArrayPos],"|",array);

	strIP = array[0];
	strPort = array[1];
	strName = array[2];
	strDescription = array[3];

	ArrayPos++;

	return true;
}