/*
Module : SINSTANCE.H
Purpose: Defines the interface for an MFC wrapper classe
         to do instance checking
Created: PJN / 29-07-1998
History: None

Copyright (c) 1998 by PJ Naughter.  
All rights reserved.

*/

#ifndef __SINSTANCE_H__
#define __SINSTANCE_H__

#include <afxmt.h>

class CInstanceChecker : public CObject
{
public:
//Constructors / Destructors
  CInstanceChecker();

//General functions
  BOOL PreviousInstanceRunning();
  void ActivatePreviousInstance(); 

protected:
	CMutex m_instanceDataMutex;
	HANDLE m_hPrevInstance;
};




#endif //__SINSTANCE_H__