// DonkeyCmd.h: Schnittstelle fr die Klasse CDonkeyCmd.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DONKEYCMD_H__DE649CCD_2715_4236_9F34_1626A366EFD1__INCLUDED_)
#define AFX_DONKEYCMD_H__DE649CCD_2715_4236_9F34_1626A366EFD1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define	WM_DONKEY	(WM_USER + 10)

#include "Redirect.h"
#include "StopServerDlg.h"

class CDonkeyCmd : public CRedirect  
{
public:
	CDonkeyCmd();
	virtual ~CDonkeyCmd();
	
	void Start();
	void Stop();
	bool Execute(CString cmd, HWND hWnd);
	time_t GetStartupTime();

	virtual void OnChildStarted(LPCSTR lpszCmdLine);
	virtual void OnChildStdOutWrite(LPCSTR lpszOutput);
	virtual void OnChildStdErrWrite(LPCSTR lpszOutput);
	virtual void OnChildTerminate();

protected:	
	CString			tmpOut;
	CString			output;
	static time_t	StartupTime;

	HANDLE	m_hThread;
	CStopServerDlg stopDlg;

	typedef struct _THREADSTRUCT
	{
		bool		alive;
		CString		command;
		HWND		hWnd;
		CDonkeyCmd* pDonkey;
	} THREADSTRUCT;

	THREADSTRUCT ThreadStruct;

	static int ExecuteThread(THREADSTRUCT* pThreadStruct);		
};

#endif // !defined(AFX_DONKEYCMD_H__DE649CCD_2715_4236_9F34_1626A366EFD1__INCLUDED_)
