// DonkeyDlg.h : Header-Datei
//

#if !defined(AFX_DONKEYDLG_H__1A293430_5F5A_4B09_9F58_8C54F0F34A61__INCLUDED_)
#define AFX_DONKEYDLG_H__1A293430_5F5A_4B09_9F58_8C54F0F34A61__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GfxOutBarCtrl.h"
#include "ServerDlg.h"
#include "AdvServerDlg.h"
#include "UserDlg.h"
#include "DonkeyCmd.h"
#include "StatsDlg.h"
#include "InfoDlg.h"
#include "KnownServersDlg.h"
#include "SystemTray.h"
/////////////////////////////////////////////////////////////////////////////
// CDonkeyDlg Dialogfeld

class CDonkeyDlg : public CDialog
{
// Konstruktion
public:
	CDonkeyDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

	CDonkeyCmd		m_Donkey;

	void	OnCancel();

// Dialogfelddaten
	//{{AFX_DATA(CDonkeyDlg)
	enum { IDD = IDD_DONKEY_DIALOG };
	CButton	m_Template;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CDonkeyDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;
	CImageList		imgSmall;
	CGfxOutBarCtrl	m_wndBar;
	
	// Dialogressourcen
	CPropDlg*			m_pActive;				// die aktive Dialogresource
	CServerDlg			m_ServerDlg;
	CAdvServerDlg		m_AdvServerDlg;
	CUserDlg			m_UserDlg;
	CKnownServersDlg	m_KnownServersDlg;
	CStatsDlg			m_StatsDlg;
	CInfoDlg			m_InfoDlg;

	void	HideAll();
	void	ShowDlg(int id);
	void	OnOK();

	// SysTray
	bool	bMinimized;
	CSystemTray* pTrayIcon;
	int		nTrayNotificationMsg;
	void	SetupTrayIcon();
	void	SetupTaskBarButton();
	LRESULT OnTaskbarCreated(WPARAM wp, LPARAM lp);


	long	OnOutbarNotify(WPARAM wParam, LPARAM lParam);

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CDonkeyDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSystrayRestore();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_DONKEYDLG_H__1A293430_5F5A_4B09_9F58_8C54F0F34A61__INCLUDED_)
