#include "stdafx.h"
#include "LangDLL.h"

#define MAXSTRING	256

BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    switch (ul_reason_for_call)
	{
		case DLL_PROCESS_ATTACH:
		case DLL_THREAD_ATTACH:
		case DLL_THREAD_DETACH:
		case DLL_PROCESS_DETACH:
			break;
    }
    return TRUE;
}

// string buffer
char strBuffer[MAXSTRING];

__declspec(dllexport) char* _stdcall GetLangString(UINT nID)
{	
	// Try to load the resource-string
	if (LoadString(GetModuleHandle("LANGDLL.DLL"),nID,strBuffer,MAXSTRING) != 0)
		return strBuffer;

	// Resource-String couldn't be loaded, return an empty string
	return "";
}
