// SendMessageDlg.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "donkey.h"
#include "SendMessageDlg.h"
#include "DonkeyDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CSendMessageDlg 


CSendMessageDlg::CSendMessageDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSendMessageDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSendMessageDlg)
	m_Message = _T("");
	//}}AFX_DATA_INIT
}


void CSendMessageDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSendMessageDlg)
	DDX_Text(pDX, IDC_MESSAGE, m_Message);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSendMessageDlg, CDialog)
	//{{AFX_MSG_MAP(CSendMessageDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CSendMessageDlg 

BOOL CSendMessageDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// Lokalisierung setzen
	Lang.Localisation(this,IDC_TEXT);
	this->SetWindowText(Lang.GetStr(46));
	
	return TRUE; 
}

void CSendMessageDlg::OnOK() 
{
	UpdateData();

	CDonkeyCmd* cmd = &((CDonkeyDlg*)AfxGetMainWnd())->m_Donkey;

	if (cmd->IsChildRunning())
	{
		cmd->Execute("m " + m_Message,NULL);
	}
	
	CDialog::OnOK();
}

