#if !defined(AFX_SERVERDLG_H__F518AF47_1A5E_4A55_9C08_AE79882B079D__INCLUDED_)
#define AFX_SERVERDLG_H__F518AF47_1A5E_4A55_9C08_AE79882B079D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ServerDlg.h : Header-Datei
//
#include "PropDlg.h"
#include "Title.h"
#include "HoverButton.h"
/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CServerDlg 

class CServerDlg : public CPropDlg
{
// Konstruktion
public:
	CServerDlg(CWnd* pParent = NULL);   // Standardkonstruktor

	void Load();
	void Save();


// Dialogfelddaten
	//{{AFX_DATA(CServerDlg)
	enum { IDD = IDD_SERVER };
	CButton	m_DialUp;
	CHoverButton	m_Detect;
	CButton	m_Stop;
	CButton	m_Start;
	CComboBox	m_LocalIP;
	CTitle	m_Titel;
	CString	m_Beschreibung;
	UINT	m_LocalPort;
	UINT	m_MaxClients;
	CString	m_Message;
	CString	m_Name;
	BOOL	m_Public;
	CString	m_SeedIP;
	UINT	m_SeedPort;
	BOOL	m_Stay;
	//}}AFX_DATA


// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CServerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	static int TIMERVALUE;
	CString WelcomeString;

	static void CALLBACK EXPORT TimerProc(HWND hWnd, UINT nMsg, UINT nIDEvent, DWORD dwTime);
	CString GetPublicIP();
	void	StartServer();
	void	StopServer();

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CServerDlg)
	afx_msg void OnStart();
	afx_msg void OnStop();
	virtual BOOL OnInitDialog();
	afx_msg void OnDetect();
	afx_msg void OnSelect();
	afx_msg void OnExit();
	afx_msg void OnStay();
	afx_msg void OnDial();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_SERVERDLG_H__F518AF47_1A5E_4A55_9C08_AE79882B079D__INCLUDED_
